<template>
  <div class="bbsl-common-page">
    <div class="content">
      <div id="echarts" class="full"></div>
      <!-- <div class="fixed">
        <i class="el-icon-d-arrow-left"></i>
        <i class="el-icon-arrow-left" @click="handleChange"></i>
        <span>{{ curPage }}</span>
        <i class="el-icon-arrow-right" @click="handleChange"></i>
        <i class="el-icon-d-arrow-right"></i>
      </div> -->
    </div>
  </div>
</template>

<script>
import * as echarts from 'echarts'
import performanceAnalysis from '@/api/device/performanceAnalysis.js'
export default {
  data() {
    return {
      zData: [],
      myChart: null,
      curPage: 1,
      totalPage: 1,
      itemNumPerPage: 10
    }
  },
  mounted() {
    this.getStatistics()
    this.initChart()
  },
  methods: {
    //获取故障统计
    getStatistics() {
      performanceAnalysis.getCount({}, res => {
        if (res.state) {
          console.log(res.value)
          this.zData = res.value.rows
          this.curPage = res.value.page
          this.itemNumPerPage= res.value.pageSize
          this.$nextTick(() => {
            this.initChart()
          })
        }
      })
    },
    initChart() {
      let xAxis = []
      let yAxis = []
      for (let i = 0; i < this.zData.length; i++) {
        xAxis[i] = this.zData[i].deviceName
      }
      for (let i = 0; i < this.zData.length; i++) {
        yAxis[i] = this.zData[i].count
      }
      let chartDom = document.getElementById('echarts')
      this.myChart = echarts.init(chartDom)
      let option = {
        title: {
          text: '故障统计次数'
        },
        tooltip: {},
        legend: {},
        xAxis: {
          data: xAxis
        },
        yAxis: {
          type: 'value'
        },
        series: [
          {
            name: '故障统计次数',
            type: 'bar', // 类型为柱状图
            data: yAxis,
            barWidth: '20%', // 柱条宽度 每个柱条的宽度就是类目宽度的 20%
            // 柱子的样式
            itemStyle: {
              color: '#5574c2'
            }
          }
        ]
      }
      option && this.myChart.setOption(option)
      window.addEventListener('resize', () => {
        this.myChart.resize()
      })
    },
    // handleChange(e){
    //   console.log(e)
    //   this.getStatistics(this.curPage+1)
    // }
  }
}
</script>

<style lang="scss" scoped>
.content {
  height: 100%;
  padding: 1.04167vw 1.04167vw;
  background-color: #fff;
  box-shadow: 0 0 0.625vw 0;
  position: relative;
}
.full {
  height: calc(100% - 50px);
  position: relative;
}
.fixed {
  position: absolute;
  bottom: 100px;
  left: 47%;
}
.fixed > i {
  font-size: 20px;
}
.fixed > i:hover {
  cursor: pointer;
}
.fixed > span {
  font-size: 20px;
  padding: 0 5px;
}
</style>
